### Method

# RB DisplayPage delete_thyself

#### Declaration [src]

    void
    rb_display_page_delete_thyself (
      RBDisplayPage* page
    )

#### Description [src]

This is called when the page should delete itself. The ‘deleted’ signal will be emitted, which removes the page from the page model. This will not actually dispose of the page object, so reference counting must still be handled correctly.